Bug 667377 - Mispackaged plugin *.deps files - cannot load pgpmime and pgpinline plugins without loading pgpcore first
Summary: Mispackaged plugin *.deps files - cannot load pgpmime and pgpinline plugins w...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 14
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-05 13:35 UTC by David Kovalsky
Modified: 2014-03-31 23:46 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-02-04 19:50:17 UTC


Attachments (Terms of Use)
Error window screenshot (13.74 KB, image/png)
2011-01-05 13:35 UTC, David Kovalsky
no flags Details

Description David Kovalsky 2011-01-05 13:35:26 UTC
Created attachment 471864 [details]
Error window screenshot

After upgrading from F13 to F14 signing messages stopped working. I noticed that none of the pluings are loaded when I check Configuration -> Plugins.

Attempting to load pgpmime resulted in an error (attached screenshot) of
"""
The following error occurred while loading pgpmime.so :

/usr/lib64/claws-mail/plugins/pgpmime.so: undefined symbol: gpgmegtk_passphrase_cb
"""

# rpm -qa 'claws*'|sort
claws-mail-3.7.8-2.fc14.x86_64
claws-mail-plugins-fancy-3.7.8-1.fc14.x86_64
claws-mail-plugins-pgp-3.7.8-2.fc14.x86_64
claws-mail-plugins-python-3.7.8-1.fc14.x86_64
claws-mail-plugins-smime-3.7.8-2.fc14.x86_64

Comment 1 David Kovalsky 2011-01-05 13:42:02 UTC
Hmm, so playing with this a bit more, after I loaded pgpcore and pgpinline, pgpmime loaded fine. 

Scratching the 'not working' part. Please consider this as an RFE to either to
1) automatically load module dependencies
2) tell users that some modules need to be loaded before others

Thanks!

Comment 2 Michael Schwendt 2011-01-23 13:06:55 UTC
Confirmed. pgpcore is the plugin that provides gpgmegtk_passphrase_cb and would need to be loaded first.

David, do you recall whether this is regression actually? Has it ever been done automatically?

Comment 3 Michael Schwendt 2011-01-23 13:20:40 UTC
> %files devel
> %defattr(-,root,root,-)
...
> %{_libdir}/claws-mail/plugins/*deps

The *.deps files are mispackaged. They belong into the various -plugins packages.

Comment 4 Andreas Bierfert 2011-01-23 20:53:58 UTC
True. However, these have not been in there ever so it is not an actual regression. Still needs to be fixed...

Comment 5 David Kovalsky 2011-01-23 22:40:07 UTC
(In reply to comment #2)

> David, do you recall whether this is regression actually? Has it ever been done
> automatically?

Hi, thanks for looking into this!

While I believe that I was able to load plugins in any order before (or at least alphabetically, that's how I've tried them out in the past), I'm not 100% sure there were any automatic dependencies. Unfortunately I don't have anything older then F14 around so I can't verify.

Comment 6 Fedora Update System 2011-01-24 16:15:23 UTC
claws-mail-3.7.8-3.fc14,claws-mail-plugins-3.7.8-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/claws-mail-3.7.8-3.fc14,claws-mail-plugins-3.7.8-4.fc14

Comment 7 Fedora Update System 2011-01-24 16:17:59 UTC
claws-mail-3.7.8-3.fc13,claws-mail-plugins-3.7.8-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/claws-mail-3.7.8-3.fc13,claws-mail-plugins-3.7.8-4.fc13

Comment 8 Fedora Update System 2011-01-24 20:59:37 UTC
claws-mail-3.7.8-3.fc14, claws-mail-plugins-3.7.8-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update claws-mail claws-mail-plugins'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/claws-mail-3.7.8-3.fc14,claws-mail-plugins-3.7.8-4.fc14

Comment 9 David Kovalsky 2011-01-25 10:18:01 UTC
Tested on F14, pgpcore is now loaded automatically when I tried to load phpmime. 

Everything working as expected. Thanks!

$ rpm -qa 'claws*'|sort
claws-mail-3.7.8-3.fc14.x86_64
claws-mail-plugins-fancy-3.7.8-4.fc14.x86_64
claws-mail-plugins-pgp-3.7.8-3.fc14.x86_64
claws-mail-plugins-python-3.7.8-4.fc14.x86_64
claws-mail-plugins-smime-3.7.8-3.fc14.x86_64

Comment 10 Fedora Update System 2011-02-04 19:50:03 UTC
claws-mail-3.7.8-3.fc14, claws-mail-plugins-3.7.8-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-02-04 19:54:24 UTC
claws-mail-3.7.8-3.fc13, claws-mail-plugins-3.7.8-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.